# class FontFaceSet

#### package js.html

#### extends EventTarget

Available on HTML5

The `FontFaceSet` interface of the CSS Font Loading API is an interface for loading font faces and checking their download statuses.

Documentation FontFaceSet by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/FontFaceSet

### Variables

###

`onloading:Function`

An `EventListener` property called whenever an event of type `loading` is fired, indicating that a font face set has started to load.

###

`onloadingdone:Function`

An `EventListener` property called whenever an event of type `loadingdone` is fired, indicating that a font face set has finished loading.

###

`onloadingerror:Function`

An `EventListener` property called whenever an event of type `loadingerror` is fired, indicating that an error occurred during the loading of a font face set.

###

`read onlyready:Promise<Void>`

###

`read onlysize:Int`

###

`read onlystatus:FontFaceSetLoadStatus`

Indicates the font face's loading status. It will be one of `'loading'` or `'loaded'`.

### Methods

###

`add (font:FontFace):Void`

Throws:

`null` | DOMError

###

`check (font:String, text:String = " "):Bool`

Throws:

`null` | DOMError

###

`clear ():Void`

###

`delete_ (font:FontFace):Bool`

###

`entries ():FontFaceSetIterator`

###

`forEach (cb:FontFace ‑> FontFace ‑> FontFaceSet ‑> Void, ?thisArg:Dynamic):Void`

Throws:

`null` | DOMError

###

`has (font:FontFace):Bool`

###

`load (font:String, text:String = " "):Promise<Array<FontFace>>`

###

`values ():FontFaceSetIterator`

### Inherited Variables

### Inherited Methods

#### Defined by EventTarget

###

`addEventListener (type:String, listener:Function, capture:Bool = false):Void`

`addEventListener (type:String, listener:EventListener, capture:Bool = false, ?wantsUntrusted:Bool):Void`

Throws:

`null` | DOMError

###

`dispatchEvent (event:Event):Bool`

Throws:

`null` | DOMError

###

`removeEventListener (type:String, listener:Function, capture:Bool = false):Void`

`removeEventListener (type:String, listener:EventListener, capture:Bool = false):Void`

Throws:

`null` | DOMError